
//获取用户信息
function getUserInfo() {
    MarsJSBridge.invoke("getUserInfo", {}, function(res) {
        console.log(res.result)
    });
}

//设置用户信息
function setUserInfo() {
    MarsJSBridge.invoke("setUserInfo", {
        userInfo: {
            userId: '0000001',
            name: 'test'
        }
    });
}

//清除用户信息
function clearUserInfo() {
    MarsJSBridge.invoke("clearUserInfo");
}

//获取用户Token
function getToken() {
    MarsJSBridge.invoke("getToken", {}, function(res) {
        console.log(res.result)
    });
}

//设置用户Token
function setToken() {
    MarsJSBridge.invoke("setToken", {
        accessToken: '112233445566778899',
        refreshToken: '998877665544332211'
    });
}

//清除用户Token
function clearToken() {
    MarsJSBridge.invoke("clearToken");
}

//用户登录成功
function login() {
    MarsJSBridge.invoke("login");
}

//用户登出成功
function logout() {
    MarsJSBridge.invoke("logout");
}

//用户是否登录
function isLogin() {
    MarsJSBridge.invoke("isLogin", {}, function(res) {
        console.log(res.result)
    });
}

//获取用户角色列表
function getRoles() {
    MarsJSBridge.invoke("getRoles", {}, function(res) {
        console.log(res.result.roles)
    });
}

//用户是否属于某种角色
function hasRole() {
    MarsJSBridge.invoke("hasRole", {role: 'admin'}, function(res) {
        console.log(res.result.hasRole)
    });
}
