
//显示标题栏
function showNavBar() {
    MarsJSBridge.invoke("showNavbar");
}

//隐藏标题栏
function hideNavBar() {
    MarsJSBridge.invoke("hideNavbar");
}

//显示标题文字
function setNavTitle() {
    MarsJSBridge.invoke("setNavTitle", {
        title: "我是测试标题"
    });
}

//显示标题颜色
function setNavTitleColor() {
    MarsJSBridge.invoke("setNavTitleColor", {
        bgColor: "#00ff00"
    });
}


function actionSheet() {
var setInfo = {
    data:[{
            text:"显示a",
            onClick:callback1
          },
          {
            text:"显示b",
            onClick:callback2
          },
          {

            text:"显示c",
            onClick:callback3
           }]
    }
    function callback1() {
        console.log('text1 clicked')
    }
    function callback2() {
        console.log('text2 clicked')
    }
    function callback3() {
        console.log('text3 clicked')
    }
    MarsJSBridge.invoke("actionSheet",setInfo);
}

function timeSelector(){
var setInfo = {
    format:"HHmmss",
    defaultTime:"12:00:00"
    };

     MarsJSBridge.invoke("timeSelector",setInfo,function callback1(res){
                                                       console.log("选择了" + res.result);
                                                       });
}

function setPopMenu() {
var setInfo = {
    data:[{
            text:"搜一搜",
            onClick:emitSearchEvent1
          },
          {
            text:"扫一扫",
            onClick:emitSearchEvent2
          }]

    }
    function emitSearchEvent1() {
        console.log('text1 clicked')
    }
    function emitSearchEvent2() {
        console.log('text2 clicked')
    }

    MarsJSBridge.invoke("setPopMenu",setInfo);
}

function showKeyBoard(str,text) {
    var setInfo = {
        text:text,
        type: str,
        maxLength: "14",
        money: "",
        cardNum: "",
        hint: "",
        unclickKeys:["Q","W","E"],
        success: function(res) {
            console.log(res);
            var content = res.result.pswText;
            var cardIdInput = document.getElementById("testText");
            cardIdInput.value = content;
        },
        cancel: function() {
            console.log("cancel");
        }
    };

    MarsJSBridge.invoke("showKeyBoard", setInfo);

}

function showLoading(lType) {
    MarsJSBridge.invoke("showLoading", {
        type: lType,
        tips: '提交中...'
    });

    setTimeout(function() {
         MarsJSBridge.invoke("hideLoading", {});
    }, 5000)
}

function setNavIconBtn() {
    MarsJSBridge.invoke("setNavIconBtn", {
        type: 'text',
        text: '更多1',
        index: 4,
        onClick: moreClick,
        options:[{
                text: '搜一搜1',
                onClick: searchEvent
            },
            {
                text: '扫一扫1',
                onClick: scanEvent
            }]

        }
    );
}
function showNavIconBtn() {
     MarsJSBridge.invoke("showNavIconBtn", {});
}

function hideNavIconBtn() {
     MarsJSBridge.invoke("hideNavIconBtn", {});
}

function moreClick() {
    console.log('moreClick')
}
function searchEvent() {
    console.log('searchEvent')
}

function scanEvent() {
    console.log('scanEvent')
}


function toast() {
 MarsJSBridge.invoke("toast", {
        message: '我是toast'
    });
}


function setStatusBarColor(iconColor) {
 MarsJSBridge.invoke("setStatusBarColor", {
        color: iconColor
    });
}

function openpdf() {
MarsJSBridge.invoke("openPdf", {
        url: "http://203.3.234.97/a.pdf",
        title: "我是pdf"
    });
}