
//打开新页面
function pushPage(URL) {
    MarsJSBridge.invoke("pushPage", {
        uri: URL,
        data: {
          name: 'test',
          id: 1,
          double: 1.05
        },
        pageParams: {
          navbarColor: '#1a88fa',
          navIconBtns: [
            {
                type: 'text',
                text: '更多1',
                index: 4,
                onClick: moreClick,
//                options:[{l
//                        text: '搜一搜1',
//                        onClick: searchEvent
//                    },
//                    {
//                        text: '扫一扫1',
//                        onClick: scanEvent
//                    }]
            },
            {
                type: 'text',
                text: '更多2',
                index: 3,
//                options:[{
//                        text: '搜一搜2',
//                        onClick: searchEvent2
//                    },
//                    {
//                        text: '扫一扫2',
//                        onClick: scanEvent2
//                    }]
            }
          ]
        }
    });
    function moreClick() {
        console.log('moreClick');
    }
    function searchEvent() {
        console.log('searchEvent');
        MarsJSBridge.invoke("pushPage", {uri: "http://203.3.231.91:8801/#/main/login"});
    }

    function scanEvent() {
        console.log('scanEvent')
    }

    function searchEvent2() {
        console.log('searchEvent2')
    }

    function scanEvent2() {
        console.log('scanEvent2')
    }
}

function pushPageHideNavBar(URL) {
    MarsJSBridge.invoke("pushPage", {
//        uri: "http://203.3.231.99:8801/#/main/login",
        uri: "file:///android_asset/test/testB.html",
        data: {
          name: 'test',
          id: '123456'
        },
        pageParams: {
          hideNavbar: true,
          isImmersion: true,
          statusBarColor: "white",
          loading: {
              type: 'circle_point',
              tips: '正在加载中...',
              position: 'center',
              mask: 'square',
              maskColor: 'light',
            },
        }
    });
}


function pushPageLoading(typeName) {
    MarsJSBridge.invoke("pushPage", {
        uri: "http://203.3.233.25:8081/nexus/#welcome",
        pageParams: {
          loading: {
            type: typeName,
            tips: '正在加载中...',
            position: 'center',
            mask: 'full',
            maskColor: 'light',
          }
        }
    }, function(res) {
         console.log(res)
     });
}

//在当前页面加载新的uri
function loadUri() {
    MarsJSBridge.invoke("loadUri", {
        uri: "http://203.3.233.25:8081/nexus/#welcome"
    });
}

//打开第三方链接页面
function loadWebView() {
    MarsJSBridge.invoke("loadWebView", {
        url: "http://203.3.233.25:8081/nexus/#welcome"
//        url: "http://203.3.231.99:8801/#/main/login"
//        url: "http://203.3.236.162:8100/loading-free?pin=8797406CA62EE6B156D7B905A5FD3E02&strustNo=a072361ca32a44f5b2b887072929ca7f&appId=CZB_MOB&sign=0D4C30A5B87D6921A98913EAE91F8CE0&protocolId=goodsDetail&cateId=4b835de677250a7d017728e693a901dd"
    });
}

//关闭页面MarsJsBridgeController
function popPage() {
    MarsJSBridge.invoke("popPage", {
        index: 0,
        matchUri: 'file:///android_asset/mdpjsapi/jsapi.html',
        data: {
          name: 'test',
          id: '222222'
        },
    });
}

//切换Tab页
function switchTab() {
    MarsJSBridge.invoke("switchTab", {
        tabIndex: 1
    });
}

//获取页面数据
function getPageData() {
    MarsJSBridge.invoke("getPageData", {}, function(res) {
        console.log(res.result)
    });
}

function registerEvent() {
    console.log('registerEvent')
    document.addEventListener('onLoad', onLoadEvent, false);
    document.addEventListener('onShow', onShowEvent, false);
    document.addEventListener('onHide', onHideEvent, false);
    document.addEventListener('onUnload', onUnloadEvent, false);
    document.addEventListener('receiveDataEvent', receiveDataEvent, false);
    document.addEventListener('BackEvent', backEvent, false);
    document.addEventListener('NavbarClickEvent', navBarClickEvent, false);
    document.addEventListener('OptionMenuClickEvent', optionMenuClickEvent, false);
}
registerEvent();

function onLoadEvent() {
    console.log('onLoadEvent')
}

function onShowEvent() {
    console.log('onShowEvent')
}

function onHideEvent() {
    console.log('onHideEvent')
}

function onUnloadEvent() {
    console.log('onUnloadEvent')
}

function receiveDataEvent(e) {
    console.log(e)
}

function backEvent() {
    console.log('backEvent')
}

function navBarClickEvent() {
    console.log('navBarClickEvent')
}

function optionMenuClickEvent() {
    console.log('optionMenuClickEvent')
}

function onEvent() {
    MarsJSBridge.invoke("onEvent", {
        eventName: 'testEvent',
        callback: function(data) {
            console.log('data:' + data)
        }
    });
}

function emitEvent() {
    MarsJSBridge.invoke("emitEvent", {
        url: 'file:///android_asset/mdpjsapi/frame/frame.html',
        eventName: 'testEvent',
        data: {
            name: 'aaa',
            id: '111'
        }, function(res) {
            console.log(res.result)
        }
    });
}

function interceptBack(enable) {
    MarsJSBridge.invoke("setInterceptBack", {
        enableIntercept: enable
        , function(res) {
            console.log(res.result)
        }
    });
}