
//相册
function openAlbum() {
    MarsJSBridge.invoke("chooseImage", {
            sourceType: ['album'],
            sizeType: ['original'],
            resultType: 'imageFileWithBase64'
        }, function(res) {
        console.log(res)
        var show = document.getElementById("show");
        show.src = "data:image/jpeg;base64," + res.result.imageFiles[0].base64;
    });
}

//摄像头
function openCamera() {
    MarsJSBridge.invoke("chooseImage", {
            sourceType: ['camera'],
    }, function(res) {
        console.log(res)
        var show = document.getElementById("show");
        show.src = "data:image/jpeg;base64," + res.result.imageFiles[0].base64;
    });
}

//all
function openAll() {
    MarsJSBridge.invoke("chooseImage", {
       sourceType: ['camera', 'album'],
       count: 5,
       editSize: "400"
    }, function(res) {
        console.log(res)
        var show = document.getElementById("show");
        show.src = "data:image/jpeg;base64," + res.result.imageFiles[0].base64;
    });
}

//人脸活体检测
function faceLiveness() {
    MarsJSBridge.invoke("faceLiveness", {
        }, function(res) {
        console.log(res)
    });
}

//相册
function openAndDeleteFiles() {
    MarsJSBridge.invoke("chooseImage", {
            count: 9,
            sourceType: ['album'],
            sizeType: ['original'],
            sizeLimit: 64 *1024*1024,
            resultType: 'imageFileWithBase64'
        }, function(res) {
        console.log(res)
        var array = [res.result.imageFiles[0].path, res.result.imageFiles[1].path]
        deleteFiles(array)
    });
}

function deleteFiles(files) {
    MarsJSBridge.invoke("deleteFiles", {
        fileList: files
        }, function(res) {
       console.log(res)
    });
}
