
function handleOnLoadEvent() {
	try {
		var readyEvent = document.createEvent("Events");
		readyEvent.initEvent("onLoad");
		document.dispatchEvent(readyEvent);
	} catch (err) {
		console.log("onInit err: " + err.message);
	}
}

function handleOnShowEvent() {
	try {
		var readyEvent = document.createEvent("Events");
		readyEvent.initEvent("onShow");
		document.dispatchEvent(readyEvent);
	} catch (err) {
		console.log("onInit err: " + err.message);
	}
}

function handleOnHideEvent() {
	try {
		var readyEvent = document.createEvent("Events");
		readyEvent.initEvent("onHide");
		document.dispatchEvent(readyEvent);
	} catch (err) {
		console.log("onInit err: " + err.message);
	}
}

function handleOnUnloadEvent() {
	try {
		var readyEvent = document.createEvent("Events");
		readyEvent.initEvent("onUnload");
		document.dispatchEvent(readyEvent);
	} catch (err) {
		console.log("onInit err: " + err.message);
	}
}

function handleReceivePageDataEvent(data) {
 	try {
 		var readyEvent = document.createEvent("Events");
 		readyEvent.initCustomEvent("receiveDataEvent", true, true, data);
 		document.dispatchEvent(readyEvent);
 	} catch (err) {
 		console.log("onInit err: " + err.message);
 	}
}

function handleNavbarClickEvent() {
	try {
		var readyEvent = document.createEvent("Events");
		readyEvent.initEvent("NavbarClickEvent");
		document.dispatchEvent(readyEvent);
	} catch (err) {
		console.log("onInit err: " + err.message);
	}
}

function handleOptionMenuClickEvent() {
    try {
        var readyEvent = document.createEvent("Events");
        readyEvent.initEvent("OptionMenuClickEvent");
        document.dispatchEvent(readyEvent);
    } catch (err) {
        console.log("onInit err: " + err.message);
    }
}

function handleBackEvent() {
    try {
        var readyEvent = document.createEvent("Events");
        readyEvent.initEvent("BackEvent");
        document.dispatchEvent(readyEvent);
    } catch (err) {
        console.log("onInit err: " + err.message);
    }
}
